PHP Manual
Prev |  | Next

# http_match_modified

(PECL)

http_match_modified -- Match last modification

## Description

bool http_match_modified ( [int timestamp [, bool for_range = FALSE]] )

Matches the given unix timestamp against the clients "If-Modified-Since" resp. "If-Unmodified-Since" HTTP headers.

## Parameters

timestamp

  Unix timestamp; current time, if omitted

for_range

  If set to TRUE, the header usually used to validate HTTP ranges will be checked

## Return Values

Returns TRUE if timestamp represents an earlier date than the header, else FALSE.

Prev | Home | Next
http_match_etag | Up | http_match_request_header